﻿using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MultiSelectionComboBoxsample
{
    public partial class Form1 : MetroForm
    {
        public BindingList<Sublist> Products { get; set; }
        public Form1()
        {
            InitializeComponent();
            UpdateList = new BindingList<Sublist>();
            Products = new BindingList<Sublist>();
            Sublist l1 = new Sublist() { Text = "Product1" };
            l1.ListofProducts.Add(new Sublist() { Text = "P1A" });
            l1.ListofProducts.Add(new Sublist() { Text = "P1B" });
            l1.ListofProducts.Add(new Sublist() { Text = "P1C" });

            Sublist l2 = new Sublist() { Text = "Product2" };
            l2.ListofProducts.Add(new Sublist() { Text = "P2A" });
            l2.ListofProducts.Add(new Sublist() { Text = "P2B" });
            l2.ListofProducts.Add(new Sublist() { Text = "P2C" });

            Sublist l3 = new Sublist() { Text = "Product3" };
            l3.ListofProducts.Add(new Sublist() { Text = "P3A" });
            l3.ListofProducts.Add(new Sublist() { Text = "P3B" });
            l3.ListofProducts.Add(new Sublist() { Text = "P3C" });

            Products.Add(l1);
            Products.Add(l2);
            Products.Add(l3);

            this.MultiSelectionComboBox1.DataSource = Products;
            this.MultiSelectionComboBox1.DisplayMember = "Text";
            this.MultiSelectionComboBox1.DisplayMode = DisplayMode.VisualItem;
            this.MultiSelectionComboBox1.SelectedItemCollectionChanged += MultiSelectionComboBox1_SelectedItemCollectionChanged;
        }


        public BindingList<Sublist> UpdateList { get; set; }
        void MultiSelectionComboBox1_SelectedItemCollectionChanged(object sender, SelectedItemCollectionChangedArgs e)
        {
            if (e.Action == Actions.Added)
            {
                foreach (Sublist item in (this.MultiSelectionComboBox1.SelectedValue as Sublist).ListofProducts)
                {
                    UpdateList.Add(item);
                }

             
               this.multiSelectionComboBox2.DataSource = UpdateList;
               
            }
            else
            {
                foreach (Sublist item in (this.MultiSelectionComboBox1.SelectedValue as Sublist).ListofProducts)
                {
                    UpdateList.Remove(item);
                }

                this.multiSelectionComboBox2.DataSource = UpdateList;
            }
        }

    }

    public class Sublist
    {
        public string Text { get; set; }
        public BindingList<Sublist> ListofProducts { get; set; }
        public Sublist()
        {
            ListofProducts = new BindingList<Sublist>();
        }
    }
}
